#ifndef _ETH_INIT_H
#define _ETH_INIT_H 1

typedef enum {
  ETH_NO = 0, ETH_MII, ETH_MII_REMAPED, ETH_RMII, ETH_RMII_REMAPED
} eth_phy_interface_t;

typedef enum {
  ETH_CLOCK_AUTONOMOUS = 0,
  ETH_CLOCK_PROVIDED_BY_MICRO
} eth_phy_clock_t;

int ETHconfigureInterface(void);
void ETHpowerDown(void);
void ETHpowerUp(void);

#endif
