/* Skrypt linkera dla STM32F207IG, 1 MiB FLASH, 112+16 KiB RAM */

MEMORY
{
    FLASH (rx) : ORIGIN = 0x08000000, LENGTH = 1024K
    RAM  (rwx) : ORIGIN = 0x20000000, LENGTH = 112K
    RAM2 (rwx) : ORIGIN = 0x2001C000, LENGTH = 16K
}

/* Linker zgłosi błąd, gdy w RAM zostanie za mało miejsca
   na stos i stertę. */
_minimum_stack_and_heap_size = 14336;

/* Skrypt dla Cortex-M3 nie używa RAM2. */
INCLUDE cortex-m3.lds
